Bug 852765 - cpio - Inconsistency between man page and help
cpio - Inconsistency between man page and help
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cpio (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 10:17 EDT by Filip Holec
Modified: 2016-04-18 06:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:46:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Holec 2012-08-29 10:17:25 EDT
Description of problem:
In help, option -W/--warning is present, but not in man. Informative options -?/--help/--license/--usage/--version have the same problem.

Version-Release number of selected component (if applicable):
cpio-2.11-10.fc18.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Check man page
2. Check --help option
  
Actual results:
Inconsistent man page/help

Expected results:
Consistent man page/help

Additional info:
Comment 1 Ondrej Vasik 2012-08-29 11:11:24 EDT
Thanks for report - actually --version is described in the manpage... you are right about the others. Will fix that in next build...
Comment 2 Fedora Update System 2012-09-02 05:37:05 EDT
cpio-2.11-11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cpio-2.11-11.fc18
Comment 3 Fedora Update System 2012-09-02 15:37:08 EDT
Package cpio-2.11-11.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cpio-2.11-11.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13151/cpio-2.11-11.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-17 18:46:04 EDT
cpio-2.11-11.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.